Subject: Re: [PATCH v2 18/31] rebase: extract merge code to new source file

From: Jakub Narebski <[email-masked]>
Date: Tue, 1 Mar 2011 23:43:31 +0100

On Tue, 1 Mar 2011, Jeff King wrote:
> On Fri, Feb 25, 2011 at 12:27:03PM -0800, Jakub Narebski wrote:
> 
> > > > Yes, sourced scripts should not have an executable bit. See 46bac90 for
> > > > rationale.
> > > 
> > > And I should have mentioned: they should go in SCRIPT_LIB in the
> > > Makefile, not SCRIPT_SH.
> > 
> > Shouldn't this information be in Documentation/CodingGuidelines, and
> > perhaps also (checking if one doesn't accidentally change executable
> > bit on sourced scripts) in Documentation/SubmittingPatches?
> 
> I think it might make more sense as comments in the Makefile, which is
> not very well commented for people tweaking non-config bits. Patches
> welcome.

I meant here describing that sourced scripts should not have an executable
bit in CodingGuidelines, ensure that it didn't acquire executable bit in
SubmittingPatches, the fact that added new scripts got to SCRIPT_SH and
new sourced scripts to SCRIPT_LIB in CodingGuidelines / SubmittingPatches.

Description of SCRIPT_SH and SCRIPT_LIB in Makefile comments would be
also nice, and perhaps replace some of proposed additions to 
CodingGuidelines and SubmittingPatches documents.

-- 
Jakub Narebski
Poland